Bug 444617 - custom xm config changes wiped out by domain redefinition
custom xm config changes wiped out by domain redefinition
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks: 391501 409971
  Show dependency treegraph
 
Reported: 2008-04-29 11:23 EDT by Adam Stokes
Modified: 2010-10-22 20:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 18:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-04-29 11:23:29 EDT
Description of problem:
---------------------------
# (comment)
cpu_weight = 256
usb = 1
usbdevice = "tablet"
---------------------------

After the guest started, if an iso file is connected to (or unconnected from)
the cdrom device on the guest, the configuration file in /etc/xen is changed
automatically and the above manual setting is removed. The above manual setting
should not be removed.

         * Observed behavior

The above manual setting is removed.

         * Desired behavior

The above manual setting is not removed.

Version-Release number of selected component (if applicable):
0.5.x

How reproducible:
100%

Steps to Reproduce:
 1. Start virt-manager.
2. Select guest domain.
3. Click [Details] button.
4. Select [Hardware]tab and Disk hdc.
5. Click [Connect] button at the Source Path.
   (Click [Disconnect] button at the Source Path)
6. Select [ISO image Location] or [CD-ROM or DVD].
7. Click [OK] button.
  
Actual Results:
The guest domain definition information is changed unexpectedly.

Expected Results:
The guest domain definition information keeps.


Additional info:
usb support added into libvirt for 5.2 here
http://git.et.redhat.com/?p=libvirt.git;a=commitdiff;h=6c4770deab361d2342490111ee7db7e0020ab97d
Comment 1 RHEL Product and Program Management 2008-06-02 16:03:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Cole Robinson 2008-06-25 17:17:21 EDT
This does not seem to be specific to cd connect/eject: any domain redefinition
will wipe out any custom additions to the xm config, running or not. Anyways,
this is a libvirt issue. Updating the bug description and reassigning there.
Comment 3 Daniel Berrange 2008-06-25 18:33:37 EDT
This is expected behaviour. Any parameters in the config file not supported by
libvirt will be removed. Please file BZ feature requests for /each/ individual
parameter you require representation for, so their addition to the libvirt XML
format can be tracked.

Note You need to log in before you can comment on or make changes to this bug.